mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(true)

A weak reference allows the garbage collector to collect an object while still allowing an application to access the object. If you need the object, you can still obtain a strong reference to it and prevent it from being collected. For more information about how to use short and long weak references, see Using Weak References.

Represents a weak reference, which references an object while still allowing that object to be reclaimed by garbage collection.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor creates a short weak reference to .

  Initializes a new instance of the class, referencing the specified object.

  The object to track or null.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  If is false, a short weak reference is created. If is true, a long weak reference is created.

  Initializes a new instance of the class, referencing the specified object and using the specified resurrection tracking.

  An object to track.
  Indicates when to stop tracking the object. If true, the object is tracked after finalization; if false, the object is only tracked until finalization.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The parameter is reserved, and does not currently participate in this operation.

  Initializes a new instance of the class, using deserialized data from the specified serialization and stream objects.

  An object that holds all the data needed to serialize or deserialize the current object.
  (Reserved) Describes the source and destination of the serialized stream specified by .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Discards the reference to the target represented by the current object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method stores all the information in necessary to serialize the current object.

  The parameter is reserved and is not currently used in the execution of this method.

  Populates a object with all the data needed to serialize the current object.

  An object that holds all the data needed to serialize or deserialize the current object. (Reserved) The location where serialized data is stored and retrieved.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean True if the target has been garbage collected.

  Because an object could potentially be reclaimed for garbage collection immediately after the property returns true, using this property is not recommended unless you are testing only for a false return value.

  Gets an indication whether the object referenced by the current object has been garbage collected.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object The target object.

  After setting this property to the target object, make sure that there are no other strong references to the object; otherwise, it will not be collected.

  Gets or sets the object (the target) referenced by the current object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean True if the WeakReference is tracking the target object's ressurection.

  If true, the weak reference is a long weak reference and true was specified for the parameter in the constructor.

  Gets an indication whether the object referenced by the current object is tracked after it is finalized.